> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a specific group



## OpenAPI

````yaml put /admin/groups/{group_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/groups/{group_id}:
    put:
      tags:
        - Admins & Permissions
      summary: Edit a specific group
      operationId: 7809bf782df4d27a71024d5739d8f6de
      parameters:
        - name: group_id
          in: path
          description: ID of the group to edit
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  description: The id of the group
                  type: integer
                  example: 301
                name:
                  description: The name of the group
                  type: string
                  example: HYS Demos
                client_id:
                  type: string
                  example: '207'
                group_all:
                  type: string
                  example: '1'
                account:
                  type: string
                  example: '1'
                groups:
                  type: string
                  example: '1'
                group-{group_id}:
                  type: string
                  example: '1'
                admins:
                  type: string
                  example: '1'
                forms:
                  type: string
                  example: '1'
                new_form:
                  type: string
                  example: '1'
                manage_programs:
                  type: string
                  example: '1'
                manage_settings:
                  type: string
                  example: '1'
                manage_designations:
                  type: string
                  example: '1'
                manage_email:
                  type: string
                  example: '1'
                email_manager:
                  type: string
                  example: '1'
                donations:
                  type: string
                  example: '1'
                form_report:
                  type: string
                  example: '1'
                program-{program_id}:
                  type: string
                  example: '1'
                donor-{donor_id}:
                  type: string
                  example: '1'
                program-all:
                  type: string
                  example: '1'
                donor-all:
                  type: string
                  example: '1'
                disable_entity_archive:
                  type: string
                  example: '1'
                disable_donor_archive:
                  type: string
                  example: null
                disable_donor_delete:
                  type: string
                  example: null
                disable_donor_restore:
                  type: string
                  example: null
                disable_entity_delete:
                  type: string
                  example: null
                disable_entity_restore:
                  type: string
                  example: null
                group_id:
                  description: The group id
                  type: integer
                  example: 301
                disable_message_send_without_approval:
                  type: string
                  example: null
              type: object
      responses:
        '200':
          description: Successfully Updated the Group
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Updated Group
                type: object
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation failed
                  errors:
                    description: Object containing validation errors
                    type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````